gr::ieee802_15_4::rime_connection Class Referenceabstract

`#include <rime_connection.h>`

Inheritance diagram for gr::ieee802_15_4::rime_connection:
[legend]

## Public Member Functions

| rime_connection (rime_stack *block, uint16_t channel, pmt::pmt_t inport, pmt::pmt_t outport, const uint8_t rime_add_mine[2])
virtual | ~rime_connection ()
virtual void | pack (pmt::pmt_t msg)=0
virtual void | unpack (pmt::pmt_t msg)=0
uint16_t | channel () const

## Static Public Member Functions

static std::string | msg_to_string (pmt::pmt_t msg)

## Protected Attributes

rime_stack * | d_block
uint16_t | d_channel
pmt::pmt_t | d_inport
pmt::pmt_t | d_outport
pmt::pmt_t | d_mac_outport
uint8_t | d_rime_add_mine [2]

## Constructor & Destructor Documentation

## rime_connection()

gr::ieee802_15_4::rime_connection::rime_connection | ( | rime_stack * | block,
|  | uint16_t | channel,
|  | pmt::pmt_t | inport,
|  | pmt::pmt_t | outport,
|  | const uint8_t | rime_add_mine[2]
| ) |  |

## ~rime_connection()

virtual gr::ieee802_15_4::rime_connection::~rime_connection | ( |  | ) |

inlinevirtual

## Member Function Documentation

## channel()

uint16_t gr::ieee802_15_4::rime_connection::channel | ( |  | ) | const

## msg_to_string()

static std::string gr::ieee802_15_4::rime_connection::msg_to_string | ( | pmt::pmt_t | msg | ) |

static

## pack()

virtual void gr::ieee802_15_4::rime_connection::pack | ( | pmt::pmt_t | msg | ) |

pure virtual

Implemented in gr::ieee802_15_4::bc_connection, gr::ieee802_15_4::ruc_connection, and gr::ieee802_15_4::uc_connection.

## unpack()

virtual void gr::ieee802_15_4::rime_connection::unpack | ( | pmt::pmt_t | msg | ) |

pure virtual

Implemented in gr::ieee802_15_4::bc_connection, gr::ieee802_15_4::ruc_connection, and gr::ieee802_15_4::uc_connection.

## Member Data Documentation

## d_block

rime_stack* gr::ieee802_15_4::rime_connection::d_block

protected

## d_channel

uint16_t gr::ieee802_15_4::rime_connection::d_channel

protected

## d_inport

pmt::pmt_t gr::ieee802_15_4::rime_connection::d_inport

protected

## d_mac_outport

pmt::pmt_t gr::ieee802_15_4::rime_connection::d_mac_outport

protected

## d_outport

pmt::pmt_t gr::ieee802_15_4::rime_connection::d_outport

protected

## d_rime_add_mine

uint8_t gr::ieee802_15_4::rime_connection::d_rime_add_mine[2]

protected

The documentation for this class was generated from the following file:

- rime_connection.h